#ifndef _utilH
#define _utilH

/*  
 *  This file is part of abc2ps, 
 *  Copyright (C) 1996-2007  Michael Methfessel
 *  See file abc2ps.c for details.
 */

size_t strlcpy(char *dst, const char *src, size_t siz);

void wng (char msg[], char str[]);

void rx (char msg[], char str[]);

void rx1 (char msg[], char c);

void rxi (char msg[], int i);

void bug (char msg[], int fatal);

float ranf(float x1, float x2);

char * abcgetline(char *buf, int len, FILE *fp);

void strip (char str1[], char str[]);

int nwords (char *str);

int getword (int iw, char *str, char *str1);

int abbrev (char str[], char ab[], int nchar);

void strext (char fid1[], char fid[], char ext[], int force);

void cutext (char fid[]);

void getext (char fid[], char ext[]);

float scan_u(char str[]);

int str_sel (char *str, int k);

int match (char str[], char pat[]);

int isblankstr(char str[]);

void cap_str(char str[]);

float cwid(char c);

int get_file_size (char fname[]);

int get_file_size1 (char fname[]);

int cmatch (char *str, char *pat, int respect_case);

#if ABC_LIBRARY
void resetRandom();
#endif

#endif 
